#!/bin/sh

# voir le fichier s5age142.mib pour les info snmp

#Ip du serveur tftp
IP_TFTP=""

#communaute snmp
RW_SNMP=""

#Repertoire contenant les MIB
MIB_DIR="/usr/share/snmp/mibs/v1200/"

#etablir la liste des BPS
LISTE_BPS=`grep bps /etc/hosts | sed "s/[0-9.]* *//"`
#LISTE_BPS=`grep bps hosts | sed "s/[0-9.]* *//"`


for BPS in $LISTE_BPS
do
	echo -e "\r\n\r\n-----------------------------------------"
	echo -e "Modification de $BPS."
# nom du fichier
	echo -en "\t"
	snmpset -m all -M $MIB_DIR -Ov $BPS $RW_SNMP s5AgMyIfImgFname.1 = "bps2k250_40.img" 2>/dev/null

	echo -n "Status : "
	STATUS=`snmpwalk -M $MIB_DIR -m all -Pe -Ov $BPS $RW_SNMP s5AgInfoFileStatus 2>/dev/null | sed "s/(.*//"`

	while [ "$STATUS" == "inProgress" ] 
	do
		STATUS=`snmpwalk -M $MIB_DIR -m all -Pe -Ov $BPS $RW_SNMP s5AgInfoFileStatus 2>/dev/null | sed "s/(.*//"`
		echo -n "#"
	done
	
	echo " $STATUS"
done
